Page tree
Skip to end of metadata
Go to start of metadata

Требуется доступ с сервера:

  • К ресурсам HFLabs fs.hflabs.ru и maven.hflabs.ru для скачивания дистрибутивов и справочников.
  • К интернет-ресурсам для установки питонячих пакетов:

    files.pythonhosted.org
    pythonhosted.org
    pypi.python.org
    pypi.org

Если апдейтер будет запускаться не на сервере приложения, потребуются дополнительные права. Прочитайте раздел «Запуск с другой машины» ниже.

Утилита работает на Linux и требует наличия Python 2.7 или Python 3.5+. Скорее всего, в вашем дистрибутиве он есть, проверьте:

$ python --version
Python 2.7.15

Если версия Python < 2.7.9, предварительно установите pip (команды для CentOS 7):

sudo yum install epel-release
sudo yum install python-pip
sudo pip install 'pip==20.3.4'

Архив с утилитой (последняя версия): https://fs.hflabs.ru/sgt-flight/updater/updater-21.11.zip

Установка (Python 2):

unzip updater-21.11.zip -d /opt/updater
cd /opt/updater
sudo pip install 'virtualenv==16.7.9'
python -m virtualenv env
env/bin/pip install -r requirements.txt

Установка (Python 3):

unzip updater-21.11.zip -d /opt/updater
cd /opt/updater
python -m venv env
env/bin/pip install -r requirements.txt
  • No labels